Endpoints挑战

批量创建挑战

为同一位玩家一次性创建多个产品的家长同意挑战,使一次家长交互即可覆盖整个产品系列。 响应中会为每个请求的产品返回一个挑战。与单个挑战一样,挑战通过或失败后,`oneTimePassword` 和 `url` 将被省略。

POST
/challenge/create-bulk
AuthorizationBearer <token>

In: header

Request Body

application/json

Create bulk challenges request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/challenge/create-bulk" \  -H "Content-Type: application/json" \  -d '{    "jurisdiction": "US-CA",    "requestedProductIds": [      0    ],    "kuid": "12b9fa0e-6d6d-4903-a1fc-f2233027b71d"  }'
{  "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802",  "type": "CHALLENGE_PARENTAL_CONSENT",  "url": "https://example.com/challenge",  "oneTimePassword": "123456",  "childLiteAccessEnabled": true,  "kuid": "12b9fa0e-6d6d-4903-a1fc-f2233027b71d",  "jurisdiction": "US-CA",  "age": 13,  "dateOfBirth": "2005-04-15",  "otpExpiresAt": "2022-01-01T00:00:00Z",  "materialChange": {    "presentedDocuments": [      "string"    ],    "issuedAt": "2019-08-24T14:15:22Z",    "actionedAt": "2019-08-24T14:15:22Z",    "acceptanceDeadline": "2019-08-24T14:15:22Z"  },  "documents": [    {      "id": "privacy-policy",      "name": "Privacy Policy",      "url": "https://example.com/privacy",      "isDataNotice": false    }  ]}